# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# Notice: wxpropgrid is part of wx 2.9 and will become obsolete
# https://code.ros.org/trac/ros-pkg/ticket/5154

Name:           wxpropgrid
Version:        1.4.15
Release:        alt1_3
Summary:        A property sheet control for wxWidgets

Group:          Engineering
License:        wxWidgets
URL:            http://wxpropgrid.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz

# Don't build samples
Patch0:         %{name}-nosample.patch

# Use the system-wide wx include directory and preserve timestamp
# https://sourceforge.net/tracker/?func=detail&aid=3453329&group_id=133406&atid=727081
#TODO: Is this path specific to Fedora?
Patch1:         %{name}-includedir.patch

# Link only as required; not all libraries from wx-config are actually used
Patch2:         %{name}-linking.patch

BuildRequires:  doxygen
BuildRequires:  wxGTK-devel
Source44: import.info

%description
wxPropertyGrid is a property sheet control for wxWidgets. In other
words, it is a specialized two-column grid for editing properties
such as strings, numbers, flagsets, string arrays, and colors. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n propgrid

# Correct encoding and line ends
iconv -f iso8859-1 -t utf-8 CHANGES.txt > CHANGES.txt.conv && mv CHANGES.txt.conv CHANGES.txt
sed -i 's/\r//' CHANGES.txt samples/sample.xrc samples/sample.rc

%patch0 -p1 -b .nosample~
%patch1 -p1 -b .includedir~
%patch2 -p1 -b .linking~

# Solve the stall with Doxygen 1.7.6 in Rawhide
# Doxygen 1.7.6.1 has a patch "to fix the hang
# issue when non-empty INCLUDE_PATH was used"
sed -i 's/^SEARCH_INCLUDES.*/SEARCH_INCLUDES = NO/' docs/Doxyfile


%build
%configure

make %{?_smp_mflags}

# Create up-to-date documentation
pushd docs
  doxygen -u
  doxygen
popd

rm -f docs/html/installdox

%install
make install DESTDIR=%{buildroot}


%files
# Upstream ships no license file
# https://sourceforge.net/tracker/?func=detail&aid=3453325&group_id=133406&atid=727081
%doc CHANGES.txt
%{_libdir}/libwxcode_gtk2u_propgrid-2.8.so.*

%files devel
%doc samples docs/html
%{_libdir}/libwxcode_gtk2u_propgrid-2.8.so
%{_includedir}/wx-2.8/wx/propgrid

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.15-alt1_3
- initial fc import

